%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-wxPython
Version:       4.2.2
Release:       1mamba
Summary:       Cross platform GUI toolkit for Python, "Phoenix" version
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wxpython.org/
Source:        https://pypi.debian.net/wxPython/wxPython-%{version}.tar.gz
License:       wxWindows Library License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpython311-devel
BuildRequires: libstdc++6-devel
BuildRequires: python3.11dist(numpy)
BuildRequires: python3.11dist(setuptools)
BuildRequires: python3.11dist(six)
BuildRequires: wxwidgets-devel
BuildRequires: wxwidgets-gtk3-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: python-attrdict-py3

%description
%{summary}.

%debug_package

%if "0%{?with_pyver}" == "03"
%define py_requires_append \
Provides:      python-wxPython-tools \
Obsoletes:     python-wxPython-tools < 4.2.1-3mamba \
Obsoletes:     python-wxPython-py310 < 4.2.1-7mamba \
Obsoletes:     wxPython <= 2.8.12.1
%endif

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n wxPython-%{version}
#-D -T
#:<< _EOF

%build
#:<< _EOF
CFLAGS="%{optflags}" \
WX_CONFIG=/usr/bin/wx-config-unicode-3 \
%{__python} build.py --nodoc sip build --use_syswx --release

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%{__python} build.py install --destdir="%{buildroot}"

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/{helpviewer,img2png,img2py,img2xpm,pycrust,pyshell,pyslices,pyslicesshell,pywxrc,wxdemo,wxdocs,wxget}; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/helpviewer*
%{_bindir}/img2png*
%{_bindir}/img2py*
%{_bindir}/img2xpm*
%{_bindir}/pycrust*
%{_bindir}/pyshell*
%{_bindir}/pyslices*
%{_bindir}/pywxrc*
%{_bindir}/wxdemo*
%{_bindir}/wxdocs*
%{_bindir}/wxget*
%dir %{python_sitearch}/wxPython-%{version}-py*.egg-info
%{python_sitearch}/wxPython-%{version}-py*.egg-info/*
%dir %{python_sitearch}/wx
%{python_sitearch}/wx/*

%changelog
* Mon Sep 16 2024 Automatic Build System <autodist@openmamba.org> 4.2.2-1mamba
- automatic version update by autodist

* Mon Apr 01 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-7mamba
- obsolete python-wxPython-py310

* Sat Oct 07 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-6mamba
- obsolete python-wxPython-tools only in -py3 target

* Mon Oct 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-5mamba
- fix again obsolete for python-wxPython-tools

* Mon Oct 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-4mamba
- fixed obsolete for python-wxPython-tools

* Sat Sep 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-3mamba
- rebuilt with system wx

* Thu Sep 28 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-2mamba
- rebuilt with python3 == 3.11

* Fri Jun 09 2023 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Sat Oct 08 2022 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Thu Oct 14 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.1-1mamba
- package created using the webbuild interface
